package com.audio.record.screen.test.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.audio.record.screen.test.App
import com.audio.record.screen.test.base.BaseAdapter
import com.audio.record.screen.test.databinding.AdapterThumbBinding
import com.bumptech.glide.Glide

class ThumbAdapter(context: Context) : BaseAdapter<String, AdapterThumbBinding>(context) {
    override fun getViewBinding(parent: ViewGroup?): AdapterThumbBinding {
        return AdapterThumbBinding.inflate(LayoutInflater.from(parent!!.context), parent, false)
    }

    override fun onBindViewHolder(holder: RecyclerView.ViewHolder, position: Int) {
        val itemHolder: VHolder<AdapterThumbBinding> = holder as VHolder<AdapterThumbBinding>


        Glide.with(mContext!!).load(data[position]).into(itemHolder.vb.imThumb)


    }

}